### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-radio/ecl-radio.directive.ts`

### Implements

`AfterContentInit` `OnChanges`

### Metadata

Selector | `[eclRadio]`

### Index

###### Properties
eclFormLabelDirective eclHelpBlockDirective eclRadioHelpComponent eclRadioLabelComponent
###### Inputs
isBinary isDisabled isInvalid styleClass
###### HostBindings
class

### Inputs

isBinary
Type : `boolean`

isDisabled
Type : `boolean`
Default value : `false`

isInvalid
Type : `boolean`
Default value : `false`

styleClass
Type : `string`

### HostBindings

class
Type : `any`

### Properties

eclFormLabelDirective
Type : `EclFormLabelDirective`
Decorators : `@ContentChild(undefined)`

eclHelpBlockDirective
Type : `EclHelpBlockDirective`
Decorators : `@ContentChild(undefined)`

eclRadioHelpComponent
Type : `EclRadioHelpComponent`
Decorators : `@ContentChild(undefined)`

eclRadioLabelComponent
Type : `EclRadioLabelComponent`
Decorators : `@ContentChild(undefined)`

# result-matching ""

# No results matching ""